Bug 238581 - careless use of gethostbyname() in Socket.xs
Summary: careless use of gethostbyname() in Socket.xs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: David Lawrence
URL: http://rt.perl.org/rt3/Public/Bug/Dis...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-01 16:36 UTC by Pavel Kankovsky
Modified: 2008-03-27 07:15 UTC (History)
2 users (show)

Fixed In Version: perl-5.8.8-38.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 07:15:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pavel Kankovsky 2007-05-01 16:36:07 UTC
Description of problem:
Socket::inet_aton() does not the length of data returned by gethostbyname()
before copying it. See the link to PerlBug for details.

Version-Release number of selected component (if applicable):
5.8.8-4 (other versions are affected as well)

How reproducible:
Easily when you LD_PRELOAD a broken implementation of gethostbyname(). :)

Comment 1 Jan Pazdziora 2008-03-04 08:35:03 UTC
This should be fixed once we move to perl 5.10 -- the fix is already in
upstream's code.

Comment 2 Fedora Update System 2008-03-20 09:14:21 UTC
perl-5.8.8-38.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-03-21 22:07:26 UTC
perl-5.8.8-38.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2580

Comment 4 Fedora Update System 2008-03-26 17:12:03 UTC
perl-5.8.8-38.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.